Bug 1261289 - 'lirc' user/group missing
'lirc' user/group missing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lirc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alec Leamas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 02:59 EDT by Michal Schmidt
Modified: 2015-09-19 14:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.9.3-5.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-19 14:55:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2015-09-09 02:59:50 EDT
Description of problem:
udev reports an error:
systemd-udevd[548]: specified group 'lirc' unknown

The 'lirc' group is referenced in /lib/udev/rules.d/60-lirc.rules:
KERNEL=="lirc[0-9]*", SUBSYSTEM=="lirc", GROUP="lirc", MODE="0660"

But no such group exists.

Version-Release number of selected component (if applicable):
$ rpm -qa lirc\*
lirc-core-0.9.3-4.fc23.x86_64
lirc-libs-0.9.3-4.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. Boot.
2. journalctl -b -p err -u systemd-udevd
3.

Actual results:
Error about missing lirc group reported.

Expected results:
No errors.

Additional info:
There is a %pre scriptlet in lirc.spec, but this does not end up in any of the built binary packages (there is no %files section for the main package, there are only subpackages). Should the scriptlet belong to 'lirc-core'?

By the way, should lirc-libs really Require lirc-core (instead of the other way around)?
Comment 1 Fedora Update System 2015-09-09 10:24:34 EDT
lirc-0.9.3-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15465
Comment 2 Alec Leamas 2015-09-09 10:26:47 EDT
(In reply to Michal Schmidt from comment #0)

> Additional info:
> There is a %pre scriptlet in lirc.spec, but this does not end up in any of
> the built binary packages (there is no %files section for the main package,
> there are only subpackages). Should the scriptlet belong to 'lirc-core'?

Yes, fixed.

> By the way, should lirc-libs really Require lirc-core (instead of the other
> way around)?

No, good catch! Thanks!

--alec
Comment 3 Fedora Update System 2015-09-10 01:51:29 EDT
lirc-0.9.3-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update lirc'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15465
Comment 4 Fedora Update System 2015-09-19 14:55:15 EDT
lirc-0.9.3-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.